{% load static %}
<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Book Details</title>
        <link rel="stylesheet" href="{% static 'css/app.css' %}">
    </head>

    <body>
        <header>
          <nav>
            <ul>
              <li>
                <a href="{% url 'magazines_list' %}">Magazines</a>
              </li>
              <li>
                <a href="{% url 'books_list' %}">Books</a>
              </li>
              <li>
                <a href="{% url 'admin:index' %}">Admin</a>
              </li>
              <li>
                <a href="{% url 'create_book' %}">Add a book</a>
              </li>
            </ul>
          </nav>
        </header>
        <main>
            
            <div class="section">
                <h1>{{ book.name }}</h1>
                <p>Authors:</p>
                {% for author in book.authors.all %}
                <p>{{ author.name }}</p>
                {% endfor %}
                <p>Pages: {{ book.pages }}</p>
                <p>ISBN#: {{ book.isbn }}</p>
                {% if book.cover %}
                <img src={{book.cover}} alt="cover" width=300px height=auto>
                {% endif %}
                <p>Available in print: {{ book.is_in_print }}</p>
                <p>Published: {{ book.pub_date }}</p>
                <div>
                  <a href="{% url 'update_book' book.pk %}"><button type="button">Edit this book</button></a>
                  <a href="{% url 'delete_book' book.pk %}"><button type="button">Delete this book</button></a>
                </div>
            </div>
            
        </main>
    </body>

</html>